com.r3corda.client.fxutils / foldToObservableList

# foldToObservableList

`fun <A, B, C> <ERROR CLASS><A>.foldToObservableList(initialAccumulator: C, folderFun: (A, C, ObservableList<B>) -> C): ObservableList<B>`

foldToObservableList takes an rx.Observable stream and creates an ObservableList out of it, while maintaining an accumulator.

### Parameters

`initialAccumulator` - The initial value of the accumulator.
`folderFun` - The transformation function to be called on the observable list when a new element is emitted on the stream, which should modify the list as needed.